Fork me on GitHub

Mono环境下不支持中文的解决方法

在运行这个代码的时候 《主要城市公交路线下载Mono版(使用MonoDevelop开发)》出现了下面的异常:

image

这是因为中文的代码支持包没有安装,启动YaST安装软件,在“全部”组里检索mono-locale-extras关键字,选中mono-locale-extras后点击Install,一路next就可以了。有依赖关系的软件包会自动安装。当你在mono网站下载安装mono开发环境的时候,安装软件会自动在软件管理器中添加mono的源。

posted @ 2010-10-08 23:17 张善友 阅读(...) 评论(...) 编辑 收藏